/*
 * Copyright (c) 2012, 2018 Oracle and/or its affiliates. All rights reserved.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0, which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * This Source Code may also be made available under the following Secondary
 * Licenses when the conditions for such availability set forth in the
 * Eclipse Public License v. 2.0 are satisfied: GNU General Public License,
 * version 2 with the GNU Classpath Exception, which is available at
 * https://www.gnu.org/software/classpath/license.html.
 *
 * SPDX-License-Identifier: EPL-2.0 OR GPL-2.0 WITH Classpath-exception-2.0
 */

package com.sun.ts.tests.jaxrs.common.provider;

import javax.ws.rs.ext.Provider;
import javax.ws.rs.ext.RuntimeDelegate.HeaderDelegate;

@Provider
public class StringBeanHeaderDelegate implements HeaderDelegate<StringBean> {

  @Override
  public StringBean fromString(String string) throws IllegalArgumentException {
    return new StringBean(string);
  }

  @Override
  public String toString(StringBean bean) throws IllegalArgumentException {
    return bean.get();
  }

}
